import request from '@/utils/request'

// 查询图片识别白名单列表
export function listWhitelist(query) {
  return request({
    url: '/sfa/whitelist/list',
    method: 'get',
    params: query
  })
}

// 查询图片识别白名单详细
export function getWhitelist(photoWhitelistId) {
  return request({
    url: '/sfa/whitelist/' + photoWhitelistId,
    method: 'get'
  })
}

// 新增图片识别白名单
export function addWhitelist(data) {
  return request({
    url: '/sfa/whitelist/add',
    method: 'post',
    data: data
  })
}

// 修改图片识别白名单
export function updateWhitelist(data) {
  return request({
    url: '/sfa/whitelist',
    method: 'put',
    data: data
  })
}

// 删除图片识别白名单
export function delWhitelist(query) {
  return request({
    url: '/sfa/whitelist/delete',
    method: 'get',
    params: query
  })
}
/** 下载模板操作 */
export function importTemplate() {
  return request({
    url: '/guide/taskuser/importTrackTemplate',
    method: 'get',
  });
}
// 图片识别白名单导入接口
export function importPhotoWhitelist(data) {
  return request({
    url: '/sfa/whitelist/importPhotoWhitelist',
    method: 'post',
    params: data
  })
}
